![Logo](docs/_static/logo/chimerapy_logo_with_name_theme_blue.png)

[![PyPI](https://img.shields.io/pypi/v/chimerapy)](https://pypi.org/project/chimerapy/) [![Coverage Status](https://coveralls.io/repos/github/oele-isis-vanderbilt/ChimeraPy/badge.svg?branch=main)](https://coveralls.io/github/oele-isis-vanderbilt/ChimeraPy?branch=main) ![](https://img.shields.io/github/workflow/status/oele-isis-vanderbilt/ChimeraPy/Test) ![](https://img.shields.io/github/license/oele-isis-vanderbilt/ChimeraPy) ![](https://img.shields.io/badge/style-black-black)
* [Docs](https://oele-isis-vanderbilt.github.io/ChimeraPy)

<!-- Summary -->
ChimeraPy is a distributed computing framework for multimodal data dollection, processing, and feedback. It's a real-time streaming tool that leverages from a distributed cluster to empower AI-driven applications.

1. **Collect** your data in real-time from any computer and time aligned it to the rest of your data streams.
2. **Process** data as soon as it comes, providing a service to your users.
3. **Archive** your outputs and later retrieve them in a single main data archive for later careful post-hoc analysis.
4. **Monitor** the executing of your distributed cluster, view live outputs, and verify that you collected clean data.

## Installation

You can install the package with the following command.

```
pip install chimerapy
```

Additionally, you can install the package through GitHub instead.

```
git clone https://github.com/oele-isis-vanderbilt/ChimeraPy
cd ChimeraPy
pip install .
```

## Contributing

Contributions are welcomed! Our [Developer Documentation](https://oele-isis-vanderbilt.github.io/ChimeraPy/developer/index.html) should provide more details in how ChimeraPy works and what is in current development.

## License

ChimeraPy uses the GNU GENERAL PUBLIC LICENSE, as found in [LICENSE](https://oele-isis-vanderbilt/ChimeraPy/blob/main/LICENSE) file.
